# ISBlock

Checks whether an index set is blocked.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlock(IS is,PetscTruth *flag)

Not Collective

### Input Parameter

is -the index set

### Output Parameter

flag -PETSC_TRUE if a block index set, else PETSC_FALSE

### See Also

ISBlockGetSize(), ISGetSize(), ISBlockGetBlockSize(), ISCreateBlock()

Level:intermediate
Location: src/vec/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex3.c.html
src/vec/is/examples/tutorials/ex3f90.F.html